# -*- coding: utf-8 -*-
# $Id$

require 'makeproj/makeproj'

project = MakeProj::StaticLibraryProject.new('sample')
project.set_out_dir('$(SolutionDir)lib/$(Configuration)')
project.set_int_dir('obj/$(Configuration)/')
project.append_include_dir('$(SolutionDir)include')
project.set_warning_level(3)
project.disable_warnings(4819)
project.set_z7

# Debug
debug = project.add_configuration('Debug')

# Release
release = project.add_configuration('Release')

# Master
master = project.add_configuration('Master')
master.append_macro('MASTER')

#
project.headers.concat(MakeProj.glob('.', '*.h', '*.hpp'))
project.sources.concat(MakeProj.glob('.', '*.c', '*.cpp'))
project.create
project.create_filter
